Manual : F5 Access and BIG-IP Edge Apps Compatibility Matrix

Applies To:

Show Versions Show Versions

BIG-IP APM

  • 16.0.0, 15.1.1, 15.1.0, 15.0.1, 15.0.0, 14.1.2, 14.1.0, 14.0.1, 14.0.0, 13.1.3, 13.1.1, 13.1.0, 13.0.1, 13.0.0, 12.1.5, 12.1.3, 11.6.3, 11.5.7, 11.5.1
Manual
Original Publication Date: 08/20/2013
Updated Date: 07/07/2020

F5 Access Apps Compatibility Matrix

Software support

For client software releases, we will provide support for the two most recent versions of a product. However, bug fixes and new features can be made on the next client version. BIG-IP software releases have their own support policy. We list compatibility with the most recent BIG-IP version on each release.

F5 Access Guard

F5 Access Guard works with Firefox 66 and later, and Chrome 74 and later, on Windows and macOS platforms.

F5 Networks supports Windows 10 and later only.

F5 Networks supports macOS Catalina (10.15) and Mojave (10.14) devices. 

 F5 Access Guard  Supported BIG-IP Versions
 F5 Access Guard 1.1.0     15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access Guard 1.0.0*     15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0

* F5 Access Guard 1.0.0 does not support macOS Catalina (10.15).

Android and F5 Access

F5 Networks supports Android™ versions 9 and 10.

F5 provides F5 App software fixes for the current major version of Android and one major version back. For older Android versions, F5 will provide configuration assistance on a case-by-case basis.

For software released on any vendor’s App Store, F5 provides software fixes only for the currently released version of the corresponding F5 App.

Note: For Network Access support, install F5 Access (previously known as BIG-IP Edge Client) from Google Play. Only the latest version of F5 Access is available on Google Play Store. The BIG-IP Edge Portal app, which previously provided secure mobile access to enterprise web applications, is no longer provided for download.

F5 Networks supports the BIG-IP Edge and F5 Access apps with the following BIG-IP versions. Upgrade to the most recent version of F5 apps.

 Edge and F5 Access Apps for Android  Supported BIG-IP Versions
 F5 Access 3.0.7  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.6  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.5  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.4  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 

iOS and iPadOS

F5 Networks supports iOS 12.x, iOS 13.x, and iPadOS 13.x.

Google reCAPTCHA 2.0 and 3.0 are not supported on F5 Access for iOS 3.x.

For Network Access support, please install F5 Access through the App Store. The Safari browser has been tested for compatibility with Portal Access and Webtop features.

F5 Networks supports F5 Access apps with the following BIG-IP software versions. Upgrade to the most recent version of the F5 Access apps.

 Edge and F5 Access for iOS  Supported BIG-IP Versions
 F5 Access 3.0.7  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.6 11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.5 11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.4  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 3.0.3  11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 

macOS and F5 Access

F5 Networks supports macOS 10.12.2 and later, including macOS 10.13 (High Sierra), macOS 10.14 (Mojave) and macOS 10.15 (Catalina).

 F5 Access for macOS  Supported BIG-IP Versions
 F5 Access 2.0.1  13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 2.0.0*  13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access 1.0.0*  13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 
F5 Access for macOS 2.0.0 and earlier does not support macOS Catalina (10.15). 
 

Windows 10 and Windows 10 Mobile and F5 Access

F5 Networks supports Microsoft® Windows® 10 and Windows® 10 Mobile.

For Network Access functionality, install F5 Access through the Microsoft Windows Store.

 F5 Access for Windows 10  Supported BIG-IP Versions
 F5 Access for Windows 10 1.3
 11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access for Windows 10 1.2
 11.5.2, 11.5.3, 11.5.4, 11.5.5, 11.5.6, 11.5.7, 11.5.8, 11.5.9, 11.5.10, 11.6.1, 11.6.2, 11.6.3, 11.6.4, 11.6.5, 12.1.0, 12.1.1, 12.1.2, 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 

Chrome OS and F5 Access App

F5 Networks has fully qualified compatibility with Google Chrome version 56 and later.

For Network Access functionality, install F5 Access from the Chrome Web Store.

 F5 Access for Chrome OS  Supported BIG-IP Versions
 F5 Access for Chrome OS 1.0.6  12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access for Chrome OS 1.0.5  12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access for Chrome OS 1.0.4
 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0
 F5 Access for Chrome OS 1.0.3
 12.1.3, 12.1.4, 12.1.5, 13.1.0, 13.1.1, 13.1.3, 14.1.0, 14.1.2, 15.0.0, 15.0.1, 15.1.0, 15.1.1, 16.0.0

 

Regarding Desktop Edge Client and Helper Applications version differences

Windows and macOS operating system software and peripheral applications are updated often. These updates necessitate changes in APM Client software packages to ensure maximum compatibility and performance. F5 highly recommends that customers use the latest available versions of both the APM Client software and the BIG-IP server; however, we understand that deployment cycles for network infrastructure and desktop infrastructure can occur on different schedules. This can lead to situations where different versions of the client and server software are used together. F5 supports older or newer APM clients (supported versions only) connecting to older or newer BIG-IP APM servers (supported versions only). However, if a compatibility problem is discovered in a mismatched deployment, a workaround may not exist and an upgrade to either the server or client may be required, as determined by F5.

Other considerations:

  1. F5 performs proactive testing only between the latest client and server versions.
  2. Starting with BIG-IP 13.1, the APM Clients package can be updated independently of BIG-IP. Prior versions of BIG-IP lacked this capability. For more detail, see the following solution article: https://support.f5.com/csp/article/K52547540
  3. This statement does not modify our product support lifecycle policy. For more information, please see: https://support.f5.com/csp/article/K8986